import info.lotosummary.software.*;
import java.io.*;

/*
Resu Version 1.27
Copyright 2017 Sogaya

JDK 1.8.0

*/

public class Resu {
    static final double VERSION = 1.27;
    static final int ERROR_CODE = 1;
    static final int PERIOD = 30;
    static final String ASCII_DATE_LINES = "-da";
    static final String ASCII_DATES = "-a";
    static final String BETWEEN_COLONS = "-b";
    static final String COMBO = "-c";
    static final String COMBOS_DATES = "-i";
    static final String DATES = "-d";
    static final String DRAFO_CSV = "drafo.csv";
    static final String DRAFT_FORMAL = "-z";
    static final String EMPTY = "";
    static final String EXCLUDE = "-e";
    static final String EXCLUDE_TEXT = "exclude.txt";
    static final String MATRIX = "-m";
    static final String NEW_LINE_CHARACTERS = "-n";
    static final String NO_REMOVING = "-r-";
    static final String OVERWRITE = "-o";
    static final String REMOVE_ERROR_TEXT = "remove_e.txt";
    static final String REMOVE_LINE_1 = "-1-";
    static final String SEGMENTALIZE = "-s";
    static final String SEGMENT_TEXT = "segmen.txt";
    static final String SEPARATE_TEXT = "separate.txt";
    static final String SERIAL = "-l";
    static final String SIXTH = "-6";
    static final String TABULATE_REVERSE_SORT = "-t";
    static final String TABULATE_TEXT = "tabulate.txt";
    static final String THREE_LINES_UNITED = "-3";
    static final String UNIQUE = "-u";
    static final String UNIQUE_TEXT = "unique.txt";
    static final String WHO_TEXT = "who.txt";
    static final String VERSION_GUIDE = "-V";
    static final String VERSION_COMMENTS = "-VC";
    static final String WHENEVER = "-w";
    static final String ZOKO_FORM = "-f";

    private static boolean removeTemporaryFiles() {
// Removing temporary files
        File file;
        String s;
        try {
            BufferedReader remove_e = new BufferedReader( new FileReader(REMOVE_ERROR_TEXT) );
            for(;;) {
                s = remove_e.readLine();
                if(s == null) {
                    break;
                } else if( TABULATE_TEXT.equals(s) ) {
                    continue;
                } else if( WHO_TEXT.equals(s) ) {
                    continue;
                }

                file = new File(s);
                file.delete();
            }

            remove_e.close();
//            file = new File(REMOVE_ERROR_TEXT);
//            file.delete();
            return true;
        } catch(IOException e42) {
            return false;
        }

    }

    public static boolean testDrafoText() {
        boolean result;

        try {
            BufferedReader test = new BufferedReader( new FileReader(DRAFO_CSV) );
            test.close();
            result = true;
            return result;
        } catch(IOException e31) {
            result = false;
        }

        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(DRAFO_CSV) );
            file.write("&#160;, ,"); file.newLine();
            file.write("&nbsp;, ,"); file.newLine();
            file.write("a,A,"); file.newLine();
            file.write("l,L,"); file.newLine();
            file.write("p,P,"); file.newLine();
            file.write("q,Q,"); file.newLine();
            file.write("\\,, ,"); file.newLine();
            file.write("., ,"); file.newLine();
            file.write("      , ,"); file.newLine();
            file.write("     , ,"); file.newLine();
            file.write("    , ,"); file.newLine();
            file.write("   , ,"); file.newLine();
            file.write("  , ,"); file.newLine();
            file.write(" 1 , 01 ,"); file.newLine();
            file.write(" 2 , 02 ,"); file.newLine();
            file.write(" 3 , 03 ,"); file.newLine();
            file.write(" 4 , 04 ,"); file.newLine();
            file.write(" 5 , 05 ,"); file.newLine();
            file.write(" 6 , 06 ,"); file.newLine();
            file.write(" 7 , 07 ,"); file.newLine();
            file.write(" 8 , 08 ,"); file.newLine();
            file.write(" 9 , 09 ,"); file.newLine();
            file.write("ALLQP,ALL QP,"); file.newLine();
            file.write("|,/,"); file.newLine();
            file.close();
            return result;
        } catch(Exception e33) {
            return result;
        }

    }

    public static boolean testExcludeText() {
        boolean result;

        try {
            BufferedReader test = new BufferedReader( new FileReader(EXCLUDE_TEXT) );
            test.close();
            result = true;
            return result;
        } catch(IOException e11) {
            result = false;
        }

        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(EXCLUDE_TEXT) );
            file.write("ʂ"); file.newLine(); // Shift_JIS
            file.write(" ID:"); file.newLine();
            file.close();
            return result;
        } catch(IOException e15) {
            return result;
        }

    }

    public static boolean testSegmentText() {
        boolean result;

        try {
            BufferedReader test = new BufferedReader( new FileReader(SEGMENT_TEXT) );
            test.close();
            result = true;
            return result;
        } catch(IOException e82) {
            result = false;
        }

        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(SEGMENT_TEXT) );
            file.write("256 FLegend Xuthus F2017/08/14(Mon) 16:15:20.68 ID:BbkwMSDh"); file.newLine(); // Shift_JIS
            file.close();
            return result;
        } catch(IOException e83) {
            return result;
        }

    }

    public static boolean testSeparateText() {
        boolean result;

        try {
            BufferedReader test = new BufferedReader( new FileReader(SEPARATE_TEXT) );
            test.close();
            result = true;
            return result;
        } catch(IOException e16) {
            result = false;
        }

        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(SEPARATE_TEXT) );
            file.write("/"); file.newLine();
            file.write("|"); file.newLine();
            file.close();
            return result;
        } catch(IOException e32) {
            return result;
        }

    }

    public static boolean testUniqueText() {
        boolean result;

        try {
            BufferedReader test = new BufferedReader( new FileReader(UNIQUE_TEXT) );
            test.close();
            result = true;
            return result;
        } catch(IOException e18) {
            result = false;
        }

        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(UNIQUE_TEXT) );
            file.write("-1-"); file.newLine();
            file.write(".txt"); file.newLine();
            file.close();
            return result;
        } catch(IOException e28) {
            return result;
        }

    }

    public static boolean testTabulateText() {
        boolean result;

        try {
            BufferedReader test = new BufferedReader( new FileReader(TABULATE_TEXT) );
            test.close();
            result = true;
            return result;
        } catch(IOException e29) {
            result = false;
        }

        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(TABULATE_TEXT) );
            file.write("-1-"); // optional
            file.newLine();
            file.write(".txt"); // extention
            file.newLine();
            file.write("-1"); // reverse-sort
            file.newLine();
            file.write(" | "); // separator
            file.newLine();
            file.close();
            return result;
        } catch(IOException e30) {
            return result;
        }

    }

    public static void main(String[] args) {
        boolean destroyWhoText = false;
        boolean firstLine = true;
        boolean matrix = false;
        boolean remove_first = true;
        boolean serialNumber = false;
        boolean whoText = true;
        boolean WITHOUT_COMMENTS = false;
        boolean WITH_COMMENTS = true;
        boolean[] provided = {true, true, true, true, true, true};
        int count = args.length;
        int period = PERIOD;
        int q;
        int result = 0;
        int size = provided.length;
        Numbered n;
        String argument;
        String fileName = WHO_TEXT;
        String list_of_items = EXCLUDE_TEXT;
        Alterable a = new ExcludeText();

        provided[0] = testDrafoText();
        provided[1] = testExcludeText();
        provided[2] = testSegmentText();
        provided[3] = testSeparateText();
        provided[4] = testUniqueText();
        provided[5] = testTabulateText();
        for(int i = 0; i < size; ++i) {
            if(provided[i]) {
                continue;
            } else {
                System.exit(1);
            }

        }

        for(int i = 0; i < count; ++i) {
            argument = args[i];

            if( ASCII_DATE_LINES.equals(argument) ) {
                a = new ASCIIdates();
            } else if( ASCII_DATES.equals(argument) ) {
                a = new ASCIIdates();
            } else if( BETWEEN_COLONS.equals(argument) ) {
                a = new BetweenColons();
            } else if( COMBO.equals(argument) ) {
                a = new Combo();
            } else if( COMBOS_DATES.equals(argument) ) {
                a = new CombosDates();
            } else if( DATES.equals(argument) ) {
                a = new Dates();
            } else if( DRAFT_FORMAL.equals(argument) ) {
                list_of_items = DRAFO_CSV;
                a = new Drafo();
            } else if( EXCLUDE.equals(argument) ) {
                list_of_items = EXCLUDE_TEXT;
                a = new ExcludeText();
            } else if( NEW_LINE_CHARACTERS.equals(argument) ) {
                list_of_items = SEPARATE_TEXT;
                a = new NewLines();
            } else if( NO_REMOVING.equals(argument) ) {
                remove_first = false;
            } else if( OVERWRITE.equals(argument) ) {
                destroyWhoText = true;
            } else if( REMOVE_LINE_1.equals(argument) ) {
                firstLine = false;
            } else if( SEGMENTALIZE.equals(argument) ) {
                list_of_items = SEGMENT_TEXT;
                a = new Segmentalize();
            } else if( SERIAL.equals(argument) ) {
                serialNumber = true;
            } else if( SIXTH.equals(argument) ) {
                a = new QuoteRatherThanMark();
            } else if( TABULATE_REVERSE_SORT.equals(argument) ) {
                list_of_items = TABULATE_TEXT;
                a = new TableReverseSorted();
            } else if( THREE_LINES_UNITED.equals(argument) ) {
                a = new FormDateLine();
            } else if( UNIQUE.equals(argument) ) {
                list_of_items = UNIQUE_TEXT;
                a = new UniqueCombos();
            } else if( VERSION_COMMENTS.equals(argument) ) {
                guide(WITH_COMMENTS);
                System.exit(ERROR_CODE);
            } else if( VERSION_GUIDE.equals(argument) ) {
                guide(WITHOUT_COMMENTS);
                System.exit(ERROR_CODE);
            } else if( ZOKO_FORM.equals(argument) ) {
                a = new DateFollowedByName();
            } else {
                if(whoText) {
                    fileName = argument;
                    whoText = false;
                } else {
                    q = argument.indexOf(MATRIX);
                    if(q >= 0) {
                        n = new Numbered(argument);
                        period = n.number();
                        if( MATRIX.equals( n.parameter() ) ) {
                            list_of_items = SEGMENT_TEXT;
                            matrix = true;
                            a = new Segmentalize();
                            continue;
                        }

                        period = PERIOD;
                    }

                    q = argument.indexOf(WHENEVER);
                    if(q >= 0) {
                        n = new Numbered(argument);
                        period = n.number();
                        if( WHENEVER.equals( n.parameter() ) ) {
                            list_of_items = SEGMENT_TEXT;
                            matrix = false;
                            a = new Segmentalize();
                            continue;
                        }

                        period = PERIOD;
                    }

                    list_of_items = argument;
                }

            }

        }

        if(remove_first) {
            removeTemporaryFiles();
        }

        if(whoText) {
            ;
        } else {
            whoText = destroyWhoText;
        }

        a.setting(list_of_items, period, firstLine, matrix, serialNumber, whoText);
        if( a.altering(fileName) ) {
            System.out.println( a.altered() );
            result = 0;
        } else {
            System.err.println( a.inquiry() );
            result = ERROR_CODE;
        }

        System.exit(result);
    }

    private static void guide(boolean comments) {
        if(comments) {
            System.err.println( "Resu Version " + String.valueOf(VERSION) );
            System.err.println("");
            System.err.println("java Resu -V            # version ");
            System.err.println("java Resu -VC           # version with comments ");
            System.err.println("java Resu who.txt -1-   # Remove Line-1. ");
            System.err.println("java Resu who.txt -3    # Unite three lines to form a date Line. ");
            System.err.println("java Resu who.txt -6    # Replace carets with quotes. ");
            System.err.println("java Resu who.txt -a    # ASCII date lines ");
            System.err.println("java Resu who.txt -b    # Every name is interposed between zenkaku colons. ");
            System.err.println("java Resu who.txt -c    # Expand 11-to-7 combinations. ");
            System.err.println("java Resu who.txt -d    # date lines ");
            System.err.println("java Resu who.txt -e exclude.txt  # Every nurupo resu is excluded from who.txt ");
            System.err.println("java Resu who.txt -f    # Rewrite each date line in the zoko form. ");
            System.err.println("java Resu who.txt -i    # Include combinations and date lines. ");
            System.err.println("java Resu who.txt -l    # serial number ");
            System.err.println("java Resu who.txt -m30  # Ensure the integrity of each 3 x 3 matrix. ");
            System.err.println("java Resu who.txt -n    # Replace slashes with new-line characters. ");
            System.err.println("java Resu who.txt -o    # Overwrite who.txt ");
            System.err.println("java Resu who.txt -r-   # Do not remove temporary files. ");
            System.err.println("java Resu who.txt -t    # Tabulate and reverse-sort. ");
            System.err.println("java Resu who.txt -u    # unique lines ");
            System.err.println("java Resu who.txt -w30  # Add a date line whenever 30 lines appear. ");
            System.err.println("java Resu who.txt -z    # Change characters from zenkaku to hankaku. ");
        } else {
            System.err.println( "Resu Version " + String.valueOf(VERSION) );
            System.err.println("");
            System.err.println("java Resu -V            ");
            System.err.println("java Resu -VC           ");
            System.err.println("java Resu who.txt -1-   ");
            System.err.println("java Resu who.txt -3    ");
            System.err.println("java Resu who.txt -6    ");
            System.err.println("java Resu who.txt -a    ");
            System.err.println("java Resu who.txt -b    ");
            System.err.println("java Resu who.txt -c    ");
            System.err.println("java Resu who.txt -d    ");
            System.err.println("java Resu who.txt -e exclude.txt  ");
            System.err.println("java Resu who.txt -f    ");
            System.err.println("java Resu who.txt -i    ");
            System.err.println("java Resu who.txt -l    ");
            System.err.println("java Resu who.txt -m30  ");
            System.err.println("java Resu who.txt -n    ");
            System.err.println("java Resu who.txt -o    ");
            System.err.println("java Resu who.txt -r-   ");
            System.err.println("java Resu who.txt -t    ");
            System.err.println("java Resu who.txt -u    ");
            System.err.println("java Resu who.txt -w30  ");
            System.err.println("java Resu who.txt -z    ");
        }

    }

}
