package info.lotosummary.software;
import java.io.*;

public class ASCIIdates extends Alterable {
    static final boolean NO_SPLITTING = true;
    static final String ASCII = " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~";
    static final String YOBI_BEFORE_AFTER = "ΐ؋yFb";
    static final String[] weekdays = {"Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "|", "|"};

    private String asciiOnly(String line) {
        int q;
        int lineLength = line.length();
        String c;
        StringBuffer h = new StringBuffer();

        for(int i = 0; i < lineLength; ++i) {
            c = line.substring(i, i + 1 );
            q = ASCII.indexOf(c);
            if(q >= 0) {
                h.append(c);
            } else {
                q = YOBI_BEFORE_AFTER.indexOf(c);
                if(q >= 0) {
                    h.append(weekdays[q]);
                }

            }

        }

        String s = h.toString();
        return s;
    }

    public ASCIIdates() {
        buffer = new StringBuffer();
        NEW_LINE = System.getProperty("line.separator");
        NEW_LINE_LENGTH = NEW_LINE.length();
    }

    public boolean altering(String fileName) {
        Characterizable lineType;
        int q, r;
        String head, s, tail;

        if(whoText) {
            saveName = WHO_TEXT;
        } else {
            TimeName wt = new TimeName(WHO, TEXT_FILE);
            saveName = wt.temporaryName(serialNumber);
        }

        try {
            BufferedReader buffered = new BufferedReader( new FileReader(fileName) );

            s = buffered.readLine();
            if(s == null) {
                return false;
            }

            if(firstLine) {
                buffer.append( asciiOnly(s) );
                buffer.append(NEW_LINE);
            }

            for(;;) {
                s = buffered.readLine();
                if(s == null) {
                    break;
                }

                lineType = new DateFollowed(s, NO_SPLITTING);
                r = lineType.dateLine();
                if(r > 0) {
                    q = s.lastIndexOf(TOKOBI);
                    if(q >= 0) {
                        head = s.substring(0, q);
                        q += TOKOBI_SIZE;
                        tail = s.substring(q);
                        s = head + tail;
                    }

                    buffer.append( asciiOnly(s) );
                    buffer.append(NEW_LINE);
                }

            }

            buffered.close();
            openSaveClose(saveName);
            return true;
        } catch(IOException e35) {
            error = "IOException e35";
            return false;
        }

    }

}
