package info.lotosummary.software;
import java.util.Calendar;

public class Consecutive extends Characterizable {
    boolean readyToRebuild;
    GapID d;
    int featuresLength, session;
    String date, day, gap_id, name, parts, res_no, res_time;

    private int sequenceOfNumbers(String line) {
        int q = 0;
        int size = line.length();
        String c;
        for(int i = 0; i < size; ++i) {
            c = line.substring(i, i + 1 );
            q = N_0TO9.indexOf(c);
            if(q >= 0) {
                continue;
            } else {
                q = i;
                break;
            }

        }

        return q;
    }

    private int stringToInteger(String s) {
        int result;

        try {
            result = Integer.parseInt(s);
            return result;
        } catch(NumberFormatException e53) {
            plus("NumberFormatException e53");
            return NOT_CONVERTED;
        }

    }

    public Consecutive(String l) {
        date = EMPTY;
        day = EMPTY;
        gap_id = EMPTY;
        line = l;
        name = EMPTY;
        readyToRebuild = false;
        res_no = EMPTY;
        res_time = EMPTY;
        session = 0;

        String features = "/05/ 08:";
        featuresLength = features.length();

        d = new GapID();
        error = EMPTY;
    }

    public int dateLine() {
        lineLength = line.length();
        if(lineLength < featuresLength) {
            return NON_DATE_LINE;
        }

        String c = line.substring(MARK_INDEX, MARK_INDEX + 1 );
        if( c.equals(MARK) ) {
            return DATE_LINE;
        }

        int p;
        int[] r = new int[ARRAY_SIZE];

        c = line.substring(0, 1);
        p = N_0TO9.indexOf(c);
        if(p >= 0) { // res-number
            ;
        } else {
            return NON_DATE_LINE;
        }

        int g = sequenceOfNumbers(line);
        if(g <= 4) {
            head = line.substring(0, g);
            tail = line.substring(g);
            r[0] = tail.indexOf("/01/");
            r[1] = tail.indexOf("/02/");
            r[2] = tail.indexOf("/03/");
            r[3] = tail.indexOf("/04/");
            r[4] = tail.indexOf("/05/");
            r[5] = tail.indexOf("/06/");
            r[6] = tail.indexOf("/07/");
            r[7] = tail.indexOf("/08/");
            r[8] = tail.indexOf("/09/");
            r[9] = tail.indexOf("/10/");
            r[10] = tail.indexOf("/11/");
            r[11] = tail.indexOf("/12/");
            int k = 0;
            p = tail.length();
            for(int i = 0; i < TWELVE_MONTHS; ++i) {
                if(r[i] >= 0) {
                    p = r[i];
                    ++k;
                }

            }

            if(k == 1) { // A slash-month-slash sequence can be found.
                int slash_month_slash = g + p;
                p += SLASH_MONTH_SLASH_SIZE;

// If a colon appears, it shall be removed from the first part of the name.
                c = tail.substring(0, BEFORE_SIZE);
                if( BEFORE.equals(c) ) { // "F" in Shift_JIS
                    name = tail.substring(BEFORE_SIZE, p);
                } else {
                    c = tail.substring(0, GAP_SIZE);
                    if( GAP.equals(c) ) {
                        c = tail.substring(GAP_SIZE, GAP_SIZE + BEFORE_SIZE);
                        if( BEFORE.equals(c) ) {
                            int GAP_BEFORE_SIZE = GAP_SIZE + BEFORE_SIZE; // " F" in Shift_JIS
                            name = tail.substring(GAP_BEFORE_SIZE, p);
                        } else {
                            c = tail.substring(GAP_SIZE, GAP_SIZE + COLON_SIZE);
                            if( COLON.equals(c) ) {
                                int GAP_COLON_SIZE = GAP_SIZE + COLON_SIZE; // " :"
                                name = tail.substring(GAP_COLON_SIZE, p);
                            } else {
                                name = tail.substring(0, p);
                            }

                        }

                    } else {
                        name = tail.substring(0, p);
                    }

                }

                int n = name.lastIndexOf(GAP);
                if(n >= 0) {
                    name = name.substring(0, n);
                }

                tail = tail.substring(p);
                r[0] = tail.indexOf(" 00:");
                r[1] = tail.indexOf(" 01:");
                r[2] = tail.indexOf(" 02:");
                r[3] = tail.indexOf(" 03:");
                r[4] = tail.indexOf(" 04:");
                r[5] = tail.indexOf(" 05:");
                r[6] = tail.indexOf(" 06:");
                r[7] = tail.indexOf(" 07:");
                r[8] = tail.indexOf(" 08:");
                r[9] = tail.indexOf(" 09:");
                r[10] = tail.indexOf(" 10:");
                r[11] = tail.indexOf(" 11:");
                r[12] = tail.indexOf(" 12:");
                r[13] = tail.indexOf(" 13:");
                r[14] = tail.indexOf(" 14:");
                r[15] = tail.indexOf(" 15:");
                r[16] = tail.indexOf(" 16:");
                r[17] = tail.indexOf(" 17:");
                r[18] = tail.indexOf(" 18:");
                r[19] = tail.indexOf(" 19:");
                r[20] = tail.indexOf(" 20:");
                r[21] = tail.indexOf(" 21:");
                r[22] = tail.indexOf(" 22:");
                r[23] = tail.indexOf(" 23:"); // 2ch
                r[24] = tail.indexOf(")00:"); // Open2ch
                r[25] = tail.indexOf(")01:");
                r[26] = tail.indexOf(")02:");
                r[27] = tail.indexOf(")03:");
                r[28] = tail.indexOf(")04:");
                r[29] = tail.indexOf(")05:");
                r[30] = tail.indexOf(")06:");
                r[31] = tail.indexOf(")07:");
                r[32] = tail.indexOf(")08:");
                r[33] = tail.indexOf(")09:");
                r[34] = tail.indexOf(")10:");
                r[35] = tail.indexOf(")11:");
                r[36] = tail.indexOf(")12:");
                r[37] = tail.indexOf(")13:");
                r[38] = tail.indexOf(")14:");
                r[39] = tail.indexOf(")15:");
                r[40] = tail.indexOf(")16:");
                r[41] = tail.indexOf(")17:");
                r[42] = tail.indexOf(")18:");
                r[43] = tail.indexOf(")19:");
                r[44] = tail.indexOf(")20:");
                r[45] = tail.indexOf(")21:");
                r[46] = tail.indexOf(")22:");
                r[47] = tail.indexOf(")23:");
                k = 0;
                p = tail.length();
                for(int i = 0; i < ARRAY_SIZE; ++i) {
                    if(r[i] >= 0) {
                        p = r[i];
                        ++k;
                    }

                }

                if(k == 1) {
                    int beginning_of_time = p + 1;

// ID
                    p = line.indexOf(ID_COLON);
                    if(p >= 0) {
                        gap_id = line.substring(p);
                        int idLength = gap_id.length();
                        if( idLength < SPACE_WIDTH ) {
                            gap_id = padding(gap_id);
                        }

                    } else {
                        int u = line.indexOf(BEFORE);
                        if(u >= 0) {
                            gap_id = WIDE_SPACE;
                        } else {
                            return NON_DATE_LINE;
                        }

                    }

// res time
                    tail = tail.substring(beginning_of_time);
                    p = tail.indexOf(GAP);
                    if(p >= 0) {
                        res_time = tail.substring(0, p); // 07:13:18
                    } else {
                        res_time = tail;
                    }

                    int timeLength = res_time.length();
                    if( timeLength < SPACE_WIDTH ) {
                        res_time = padding(res_time);
                    }

// date
                    int m = slash_month_slash - 2;
                    int w = m + DATE_SIZE; 
                    String HEAD = "20";
                    tail = line.substring(m, m + DATE_SIZE ); // 11/06/06
                    date = HEAD + tail;
                    String YEAR_SLASH = date.substring(0, YEAR_SLASH_SIZE);

                    c = line.substring(w, w + 1 );
                    String PARENTHESIS = "(";
                    String CLOSE_BRACKET = ")";
                    if( c.equals(PARENTHESIS) ) {
                        int e = w + 1;
                        c = line.substring(e, e + KANJI_SIZE );
                        p = YOBI.indexOf(c);
                        if(p >= 0) {
                            StringBuffer os = new StringBuffer();
                            os.append(PARENTHESIS);
                            os.append(weekdays[p]);
                            os.append(CLOSE_BRACKET);
                            day = os.toString();
                        } else {
                            tail = line.substring(w);
                            int l = tail.indexOf(CLOSE_BRACKET);
                            ++l;
                            day = line.substring(w, w + l ); // (Fri) for example
                        }

                    }

// res number
                    res_no = line.substring(0, g);

// Removing YEAR_SLASH from name
                    p = name.lastIndexOf(YEAR_SLASH);
                    if(p >= 0) {
                        name = name.substring(0, p);
                    }

// Removing TOKOBI from name
                    p = name.lastIndexOf(TOKOBI);
                    if(p >= 0) {
                        name = name.substring(0, p);
                    }

                    readyToRebuild = true;
                    return m;
                }

            }

        }

        return NON_DATE_LINE;
    }

    public String anchor_res_no() {
        return line;
    }

    public String common() {
        return line;
    }

    private String fixedWidth(int n, char c, int width) {
        char[] pad = new char[width];
        for(int i = 0; i < width; ++i) {
            pad[i] = c;
        }

        String p = new String(pad);

        StringBuffer os = new StringBuffer();
        os.append(n);
        String tail = os.toString();
        int number_length = tail.length();

        int q = width - number_length;
        String head = p.substring(0, q);
        String fixed_width_number = head + tail;
        return fixed_width_number;
    }

    public String interposed() {
        return line;
    }

    public String lotoLine() {
        return EMPTY;
    }

    public String name_id() {
        return line;
    }

    public String rebuild() {
        if(readyToRebuild) {
            StringBuffer os = new StringBuffer();
            res_time = resTime();

            int res_number = stringToInteger(res_no);
            res_number += 1;

            os.append(res_number);

// Every name is interposed between colons.
            os.append(GAP);
            os.append(BEFORE);
            os.append(name);
            os.append(GAP);
            os.append(BEFORE);

            os.append(date);
            os.append(day);
            os.append(GAP);
            os.append(res_time);
            os.append(gap_id);
            line = os.toString();

            int g = line.indexOf(GAP);
            res_no = line.substring(0, g);

            session += 1;
            if( session%REPEATED_POST == 0 ) {
                gap_id = d.gapID();
                if( gap_id.length() == 0 ) {
                    if(session == REPEATED_POST) {
                        plus( d.inquiry() );
                    }

                }

            }

        }

        return line;
    }

    private String resTime() {
        Calendar calendar = Calendar.getInstance();
        String sequence = date;

/*
01234567890
2011/05/03 
*/
        String YYYY = sequence.substring(0, 4);
        int years = stringToInteger(YYYY);

        String MM = sequence.substring(5, 7);
        int months = stringToInteger(MM);

        String DD = sequence.substring(8, 10);
        int days = stringToInteger(DD);

/*
012345678901
08:09:07.62 
*/
        int q = res_time.indexOf(GAP);
        if(q >= 0) {
            sequence = res_time.substring(0, q);
        } else {
            sequence = res_time;
        }

        int sequenceLength = sequence.length();
        if(sequenceLength < HOURS_MINUTES_SIZE) {
            String NOON = "00:00:00";
            sequence = NOON;
        } else if(sequenceLength < HOURS_MINUTES_SECONDS_SIZE) {
            String CLEAR = ":00";
            sequence += CLEAR;
        }

        String hh = sequence.substring(0, 2);
        int hours = stringToInteger(hh);

        String mm = sequence.substring(3, 5);
        int minutes = stringToInteger(mm);

        String ss = sequence.substring(6, 8);
        int seconds = stringToInteger(ss);

        calendar.set(years, months, days, hours, minutes, seconds);
        calendar.add(Calendar.SECOND, BREAK_TIME);

        hours = calendar.get(Calendar.HOUR_OF_DAY);
        minutes = calendar.get(Calendar.MINUTE);
        seconds = calendar.get(Calendar.SECOND);
        sequence = fixedWidth(hours, '0', 2) + ":" + fixedWidth(minutes, '0', 2) + ":" + fixedWidth(seconds, '0', 2);
        return sequence;
    }

}
