package info.lotosummary.software;
import java.io.*;

public class QuoteRatherThanMark extends Alterable {
    static final int MARK_SIZE = 1;
    static final String BACK_QUOTE = "`";

    private static String replaceMARKwithBACK_QUOTE(String line) {
        int lineLength = line.length();
        if(lineLength > MARK_INDEX) {
            String copied = line.substring(MARK_INDEX, MARK_INDEX + 1 );
            if( copied.equals(MARK) ) {
                String head = line.substring(0, MARK_INDEX);
                String tail = line.substring( MARK_INDEX + MARK_SIZE );
                line = head + BACK_QUOTE + tail;
            }
        }

        return line;
    }

    public boolean altering(String fileName) {
        Characterizable lineType;
        int r;
        String s;

        if(whoText) {
            saveName = WHO_TEXT;
        } else {
            TimeName wt = new TimeName(WHO, TEXT_FILE);
            saveName = wt.temporaryName(serialNumber);
        }

        try {
            BufferedReader buffered = new BufferedReader( new FileReader(fileName) );
// Line-1
            s = buffered.readLine();
            if(s == null) {
                error = "e69(Line-1): s == null";
                return false;
            }

            if(firstLine) {
                buffer.append(s);
                buffer.append(NEW_LINE);
            }

            for(;;) {
                s = buffered.readLine();
                if(s == null) {
                    break;
                }

                s = replaceMARKwithBACK_QUOTE(s);
                buffer.append(s);
                buffer.append(NEW_LINE);
            }

            buffered.close();
            openSaveClose(saveName);
            return true;
        } catch(IOException e5) {
            error = "IOException e5";
            return false;
        }

    }

    public QuoteRatherThanMark() {
        buffer = new StringBuffer();
        NEW_LINE = System.getProperty("line.separator");
        NEW_LINE_LENGTH = NEW_LINE.length();
    }

}
