package info.lotosummary.software;
import java.io.*;

public class ToFive {
    static int ALL = 31;
    static int FALSE = 0;
    static int TRUE = 1;
    static final String BOX_6TO5 = " 6to5";
    static final String BOX_7TO5 = " 7to5";
    static final String BOX_8TO5 = " 8to5";
    static final String BOX_9TO5 = " 9to5";
    static final String EMPTY = "";
    int sequenceLength;
    String error, fileName, sequence, s01, s02, s03, s04, s05, s06, s07, s08, s09, to5;
    String[] ball = {"", "01 ", "02 ", "03 ", "04 ", "05 ", "06 ", "07 ", "08 ", "09 ", "10 ", "11 ", "12 ", "13 ", "14 ", "15 ", "16 ", "17 ", "18 ", "19 ", "20 ", "21 ", "22 ", "23 ", "24 ", "25 ", "26 ", "27 ", "28 ", "29 ", "30 ", "31 "};

    private boolean wrongBall(String s) {
        boolean wrong = true;
        error = "e75: wrongBall()";

        for(int i = 1; i <= ALL; ++i) {
            if( s.equals(ball[i]) ) {
                wrong = false;
                error = EMPTY;
                break;
            }

        }

        return wrong;
    }

    public int writeFile() {
        int result = FALSE;
        sequenceLength = sequence.length();
        to5 = sequence.substring( sequenceLength - 5, sequenceLength);
        s01 = sequence.substring(0, 3);
        if( wrongBall(s01) ) {
            return result;
        }

        s02 = sequence.substring(3, 6);
        if( wrongBall(s02) ) {
            return result;
        }

        s03 = sequence.substring(6, 9);
        if( wrongBall(s03) ) {
            return result;
        }

        s04 = sequence.substring(9, 12);
        if( wrongBall(s04) ) {
            return result;
        }

        s05 = sequence.substring(12, 15);
        if( wrongBall(s05) ) {
            return result;
        }

        s06 = sequence.substring(15, 18);
        if( wrongBall(s06) ) {
            return result;
        }

        if( BOX_6TO5.equals(to5) ) {
            result = file6to5();
        } else if( BOX_7TO5.equals(to5) ) {
            s07 = sequence.substring(18, 21);
            result = file7to5();
        } else if( BOX_8TO5.equals(to5) ) {
            s07 = sequence.substring(18, 21);
            s08 = sequence.substring(21, 24);
            result = file8to5();
        } else if( BOX_9TO5.equals(to5) ) {
            s07 = sequence.substring(18, 21);
            s08 = sequence.substring(21, 24);
            s09 = sequence.substring(24, 27);
            result = file9to5();
        }

        return result;
    }

    public int file6to5() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e1) {
            error = "Exception e1";
            return FALSE;
        }
    }

    public int file7to5() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e7) {
            error = "Exception e7";
            return FALSE;
        }
    }

    public int file8to5() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e39) {
            error = "Exception e39";
            return FALSE;
        }
    }

    public int file9to5() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e24) {
            error = "Exception e24";
            return FALSE;
        }
    }

    public String inquiry() {
        return error;
    }

    public ToFive(String f, String s) {
        fileName = f;
        sequence = s;
    }

}

