package info.lotosummary.software;
import java.io.*;

public class ToSix {
    static int ALL = 43;
    static int FALSE = 0;
    static int TRUE = 1;
    static final String BOX_7TO6 = " 7to6";
    static final String BOX_8TO6 = " 8to6";
    static final String BOX_9TO6 = " 9to6";
    static final String BOX_10TO6 = "10to6";
    static final String EMPTY = "";
    int sequenceLength;
    String error, fileName, sequence, s01, s02, s03, s04, s05, s06, s07, s08, s09, s10, to6;
    String[] ball = {"", "01 ", "02 ", "03 ", "04 ", "05 ", "06 ", "07 ", "08 ", "09 ", "10 ", "11 ", "12 ", "13 ", "14 ", "15 ", "16 ", "17 ", "18 ", "19 ", "20 ", "21 ", "22 ", "23 ", "24 ", "25 ", "26 ", "27 ", "28 ", "29 ", "30 ", "31 ", "32 ", "33 ", "34 ", "35 ", "36 ", "37 ", "38 ", "39 ", "40 ", "41 ", "42 ", "43 "};

    private boolean wrongBall(String s) {
        boolean wrong = true;
        error = "e77: wrongBall()";

        for(int i = 1; i <= ALL; ++i) {
            if( s.equals(ball[i]) ) {
                wrong = false;
                error = EMPTY;
                break;
            }

        }

        return wrong;
    }

    public int writeFile() {
        int result = FALSE;
        sequenceLength = sequence.length();
        to6 = sequence.substring( sequenceLength - 5, sequenceLength);
        s01 = sequence.substring(0, 3);
        if( wrongBall(s01) ) {
            return result;
        }

        s02 = sequence.substring(3, 6);
        if( wrongBall(s02) ) {
            return result;
        }

        s03 = sequence.substring(6, 9);
        if( wrongBall(s03) ) {
            return result;
        }

        s04 = sequence.substring(9, 12);
        if( wrongBall(s04) ) {
            return result;
        }

        s05 = sequence.substring(12, 15);
        if( wrongBall(s05) ) {
            return result;
        }

        s06 = sequence.substring(15, 18);
        if( wrongBall(s06) ) {
            return result;
        }

        s07 = sequence.substring(18, 21);
        if( wrongBall(s07) ) {
            return result;
        }

        if( BOX_7TO6.equals(to6) ) {
            result = file7to6();
        } else if( BOX_8TO6.equals(to6) ) {
            s08 = sequence.substring(21, 24);
            result = file8to6();
        } else if( BOX_9TO6.equals(to6) ) {
            s08 = sequence.substring(21, 24);
            s09 = sequence.substring(24, 27);
            result = file9to6();
        } else if( BOX_10TO6.equals(to6) ) {
            s08 = sequence.substring(21, 24);
            s09 = sequence.substring(24, 27);
            s10 = sequence.substring(27, 30);
            result = file10to6();
        }

        return result;
    }

    public int file7to6() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e9) {
            error = "Exception e9";
            return FALSE;
        }
    }

    public int file8to6() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e26) {
            error = "Exception e26";
            return FALSE;
        }
    }

    public int file9to6() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e27) {
            error = "Exception e27";
            return FALSE;
        }
    }

    public int file10to6() {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s04); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s05); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s03); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s05); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s04); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s05); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s02); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s05); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s04); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s05); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s03); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s01); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s05); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s04); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s05); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s03); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s02); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s06); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s05); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s04); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s03); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s10); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s07); file.write(s09); file.write(s10); file.newLine();
file.write(s04); file.write(s05); file.write(s06); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s04); file.write(s05); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s04); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
file.write(s05); file.write(s06); file.write(s07); file.write(s08); file.write(s09); file.write(s10); file.newLine();
            file.close();
            return TRUE;
        } catch(Exception e48) {
            error = "Exception e48";
            return FALSE;
        }
    }

    public String inquiry() {
        return error;
    }

    public ToSix(String f, String s) {
        fileName = f;
        sequence = s;
    }

}
