package info.lotosummary.software;

/*
In 2003, xorshift was discovered by George Marsaglia.
good C random number generator
Date: 2003-05-13 08:55:05 PST
http://school.anhb.uwa.edu.au/personalpages/kwessen/shared/Marsaglia03.html

xorshift.pdf
http://www.jstatsoft.org/v08/i14/paper
- quote -
the xorshift:
unsigned long xor128(){
static unsigned long x=123456789,y=362436069,z=521288629,w=88675123;
unsigned long t;
t=(x^(x<<11));x=y;y=z;z=w; return( w=(w^(w>>19))^(t^(t>>8)) );
}
- unquote -

*/

import java.util.*;

public class Xorshift extends PRNG {
    static final long SEED_MASK = 0xF423FL;
    long seeding, x, y, z, w;

    public int nextRandom() {
        long t;
        t = x ^ (x << 11);
        x = y;
        y = z;
        z = w;
        w = ( w ^ (w >>> 19) ) ^ (t ^ (t >>> 8) );
        int n = (int)w;
        return n;
    }

    public Xorshift(long s) {
        long e;
        seeding = s;

        x = 123456789;
        y = 362436069;
        z = 521288629;
        w = 88675123;

        if(seeding== 0L) {
            Calendar now = Calendar.getInstance();
            int year = now.get(Calendar.YEAR);
            int month = now.get(Calendar.MONTH);
            int day = now.get(Calendar.DATE);
            int hour = now.get(Calendar.HOUR);
            int minute = now.get(Calendar.MINUTE);
            int second = now.get(Calendar.SECOND);
            int add = minute * 60 + hour * 60 * 60;
            int year_month_day_43 = (year + month + day) * 43;
            second += add;
            second += year_month_day_43;
            e = (long)second;
            seeding = e & SEED_MASK;
        }

// idling before setPRNG()
        for(int k = 0; k < seeding; ++k) { 
            nextRandom();
        }

    }

}
